---
kind: pipeline
type: docker
name: build and push

steps:
- name: build and push
  image: docker:dind
  volumes:
  - name: docker.sock
    path: /var/run/docker.sock
  environment:
    REG:
      from_secret: registry
  commands:
  - mkdir ~/.docker
  - echo "$REG" > ~/.docker/config.json
  - apk add make
  - make all

volumes:
- name: dockersock
  host:
    path: /var/run/docker.sock

